project (fugg)
cmake_minimum_required(VERSION 3.5.1)

# Flyff is based on c++14
add_definitions(-std=c++14 -Os)

set(CMAKE_C_FLAGS "-Os")
set(CMAKE_CXX_FLAGS "-Os")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_SOURCE_DIR}/bin")
set(CMAKE_EXECUTABLE_SUFFIX ".js")

add_subdirectory(flyff-client)
add_subdirectory(fugg-core)
add_subdirectory(fugg-client)
